Durably accept an ordered FinanceKit publisher batch
curl --request POST \
--url https://app.sure.am/api/v1/financekit/publishers/{publisher_id}/batches \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"protocol_version": 2,
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"publisher_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"generation": 2,
"stream_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequence": 2,
"capture_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chunk_index": 1,
"chunk_count": 50,
"snapshot_complete": true,
"captured_at": "2023-11-07T05:31:56Z",
"selected_source_account_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"events": [
{
"kind": "account_upsert",
"account": {
"source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lineage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mapping_version": 2,
"display_name": "<string>",
"institution_name": "<string>",
"currency": "<string>",
"account_description": "<string>",
"opening_date": "2023-11-07T05:31:56Z"
}
}
],
"predecessor_digest": "<string>"
}
'import requests
url = "https://app.sure.am/api/v1/financekit/publishers/{publisher_id}/batches"
payload = {
"protocol_version": 2,
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"publisher_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"generation": 2,
"stream_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequence": 2,
"capture_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chunk_index": 1,
"chunk_count": 50,
"snapshot_complete": True,
"captured_at": "2023-11-07T05:31:56Z",
"selected_source_account_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"events": [
{
"kind": "account_upsert",
"account": {
"source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lineage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mapping_version": 2,
"display_name": "<string>",
"institution_name": "<string>",
"currency": "<string>",
"account_description": "<string>",
"opening_date": "2023-11-07T05:31:56Z"
}
}
],
"predecessor_digest": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
protocol_version: 2,
connection_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
publisher_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
generation: 2,
stream_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
batch_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
sequence: 2,
capture_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
chunk_index: 1,
chunk_count: 50,
snapshot_complete: true,
captured_at: '2023-11-07T05:31:56Z',
selected_source_account_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
events: [
{
kind: 'account_upsert',
account: {
source_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
lineage_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
mapping_version: 2,
display_name: '<string>',
institution_name: '<string>',
currency: '<string>',
account_description: '<string>',
opening_date: '2023-11-07T05:31:56Z'
}
}
],
predecessor_digest: '<string>'
})
};
fetch('https://app.sure.am/api/v1/financekit/publishers/{publisher_id}/batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.sure.am/api/v1/financekit/publishers/{publisher_id}/batches",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'protocol_version' => 2,
'connection_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'publisher_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'generation' => 2,
'stream_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'batch_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'sequence' => 2,
'capture_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'chunk_index' => 1,
'chunk_count' => 50,
'snapshot_complete' => true,
'captured_at' => '2023-11-07T05:31:56Z',
'selected_source_account_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'events' => [
[
'kind' => 'account_upsert',
'account' => [
'source_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'lineage_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'mapping_version' => 2,
'display_name' => '<string>',
'institution_name' => '<string>',
'currency' => '<string>',
'account_description' => '<string>',
'opening_date' => '2023-11-07T05:31:56Z'
]
]
],
'predecessor_digest' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.sure.am/api/v1/financekit/publishers/{publisher_id}/batches"
payload := strings.NewReader("{\n \"protocol_version\": 2,\n \"connection_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"publisher_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"generation\": 2,\n \"stream_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"batch_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"sequence\": 2,\n \"capture_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"chunk_index\": 1,\n \"chunk_count\": 50,\n \"snapshot_complete\": true,\n \"captured_at\": \"2023-11-07T05:31:56Z\",\n \"selected_source_account_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"events\": [\n {\n \"kind\": \"account_upsert\",\n \"account\": {\n \"source_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"lineage_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"mapping_version\": 2,\n \"display_name\": \"<string>\",\n \"institution_name\": \"<string>\",\n \"currency\": \"<string>\",\n \"account_description\": \"<string>\",\n \"opening_date\": \"2023-11-07T05:31:56Z\"\n }\n }\n ],\n \"predecessor_digest\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.sure.am/api/v1/financekit/publishers/{publisher_id}/batches")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"protocol_version\": 2,\n \"connection_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"publisher_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"generation\": 2,\n \"stream_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"batch_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"sequence\": 2,\n \"capture_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"chunk_index\": 1,\n \"chunk_count\": 50,\n \"snapshot_complete\": true,\n \"captured_at\": \"2023-11-07T05:31:56Z\",\n \"selected_source_account_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"events\": [\n {\n \"kind\": \"account_upsert\",\n \"account\": {\n \"source_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"lineage_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"mapping_version\": 2,\n \"display_name\": \"<string>\",\n \"institution_name\": \"<string>\",\n \"currency\": \"<string>\",\n \"account_description\": \"<string>\",\n \"opening_date\": \"2023-11-07T05:31:56Z\"\n }\n }\n ],\n \"predecessor_digest\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.sure.am/api/v1/financekit/publishers/{publisher_id}/batches")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"protocol_version\": 2,\n \"connection_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"publisher_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"generation\": 2,\n \"stream_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"batch_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"sequence\": 2,\n \"capture_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"chunk_index\": 1,\n \"chunk_count\": 50,\n \"snapshot_complete\": true,\n \"captured_at\": \"2023-11-07T05:31:56Z\",\n \"selected_source_account_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"events\": [\n {\n \"kind\": \"account_upsert\",\n \"account\": {\n \"source_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"lineage_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"mapping_version\": 2,\n \"display_name\": \"<string>\",\n \"institution_name\": \"<string>\",\n \"currency\": \"<string>\",\n \"account_description\": \"<string>\",\n \"opening_date\": \"2023-11-07T05:31:56Z\"\n }\n }\n ],\n \"predecessor_digest\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"publisher_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"generation": 123,
"stream_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequence": 123,
"payload_digest": "<string>",
"status": "accepted",
"accepted_at": "2023-11-07T05:31:56Z",
"applied_at": "2023-11-07T05:31:56Z",
"error_code": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}FinanceKit
Durably accept an ordered FinanceKit publisher batch
POST
/
api
/
v1
/
financekit
/
publishers
/
{publisher_id}
/
batches
Durably accept an ordered FinanceKit publisher batch
curl --request POST \
--url https://app.sure.am/api/v1/financekit/publishers/{publisher_id}/batches \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"protocol_version": 2,
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"publisher_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"generation": 2,
"stream_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequence": 2,
"capture_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chunk_index": 1,
"chunk_count": 50,
"snapshot_complete": true,
"captured_at": "2023-11-07T05:31:56Z",
"selected_source_account_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"events": [
{
"kind": "account_upsert",
"account": {
"source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lineage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mapping_version": 2,
"display_name": "<string>",
"institution_name": "<string>",
"currency": "<string>",
"account_description": "<string>",
"opening_date": "2023-11-07T05:31:56Z"
}
}
],
"predecessor_digest": "<string>"
}
'import requests
url = "https://app.sure.am/api/v1/financekit/publishers/{publisher_id}/batches"
payload = {
"protocol_version": 2,
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"publisher_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"generation": 2,
"stream_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequence": 2,
"capture_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chunk_index": 1,
"chunk_count": 50,
"snapshot_complete": True,
"captured_at": "2023-11-07T05:31:56Z",
"selected_source_account_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"events": [
{
"kind": "account_upsert",
"account": {
"source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lineage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mapping_version": 2,
"display_name": "<string>",
"institution_name": "<string>",
"currency": "<string>",
"account_description": "<string>",
"opening_date": "2023-11-07T05:31:56Z"
}
}
],
"predecessor_digest": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
protocol_version: 2,
connection_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
publisher_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
generation: 2,
stream_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
batch_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
sequence: 2,
capture_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
chunk_index: 1,
chunk_count: 50,
snapshot_complete: true,
captured_at: '2023-11-07T05:31:56Z',
selected_source_account_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
events: [
{
kind: 'account_upsert',
account: {
source_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
lineage_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
mapping_version: 2,
display_name: '<string>',
institution_name: '<string>',
currency: '<string>',
account_description: '<string>',
opening_date: '2023-11-07T05:31:56Z'
}
}
],
predecessor_digest: '<string>'
})
};
fetch('https://app.sure.am/api/v1/financekit/publishers/{publisher_id}/batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.sure.am/api/v1/financekit/publishers/{publisher_id}/batches",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'protocol_version' => 2,
'connection_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'publisher_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'generation' => 2,
'stream_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'batch_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'sequence' => 2,
'capture_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'chunk_index' => 1,
'chunk_count' => 50,
'snapshot_complete' => true,
'captured_at' => '2023-11-07T05:31:56Z',
'selected_source_account_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'events' => [
[
'kind' => 'account_upsert',
'account' => [
'source_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'lineage_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'mapping_version' => 2,
'display_name' => '<string>',
'institution_name' => '<string>',
'currency' => '<string>',
'account_description' => '<string>',
'opening_date' => '2023-11-07T05:31:56Z'
]
]
],
'predecessor_digest' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.sure.am/api/v1/financekit/publishers/{publisher_id}/batches"
payload := strings.NewReader("{\n \"protocol_version\": 2,\n \"connection_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"publisher_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"generation\": 2,\n \"stream_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"batch_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"sequence\": 2,\n \"capture_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"chunk_index\": 1,\n \"chunk_count\": 50,\n \"snapshot_complete\": true,\n \"captured_at\": \"2023-11-07T05:31:56Z\",\n \"selected_source_account_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"events\": [\n {\n \"kind\": \"account_upsert\",\n \"account\": {\n \"source_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"lineage_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"mapping_version\": 2,\n \"display_name\": \"<string>\",\n \"institution_name\": \"<string>\",\n \"currency\": \"<string>\",\n \"account_description\": \"<string>\",\n \"opening_date\": \"2023-11-07T05:31:56Z\"\n }\n }\n ],\n \"predecessor_digest\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.sure.am/api/v1/financekit/publishers/{publisher_id}/batches")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"protocol_version\": 2,\n \"connection_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"publisher_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"generation\": 2,\n \"stream_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"batch_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"sequence\": 2,\n \"capture_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"chunk_index\": 1,\n \"chunk_count\": 50,\n \"snapshot_complete\": true,\n \"captured_at\": \"2023-11-07T05:31:56Z\",\n \"selected_source_account_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"events\": [\n {\n \"kind\": \"account_upsert\",\n \"account\": {\n \"source_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"lineage_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"mapping_version\": 2,\n \"display_name\": \"<string>\",\n \"institution_name\": \"<string>\",\n \"currency\": \"<string>\",\n \"account_description\": \"<string>\",\n \"opening_date\": \"2023-11-07T05:31:56Z\"\n }\n }\n ],\n \"predecessor_digest\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.sure.am/api/v1/financekit/publishers/{publisher_id}/batches")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"protocol_version\": 2,\n \"connection_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"publisher_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"generation\": 2,\n \"stream_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"batch_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"sequence\": 2,\n \"capture_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"chunk_index\": 1,\n \"chunk_count\": 50,\n \"snapshot_complete\": true,\n \"captured_at\": \"2023-11-07T05:31:56Z\",\n \"selected_source_account_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"events\": [\n {\n \"kind\": \"account_upsert\",\n \"account\": {\n \"source_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"lineage_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"mapping_version\": 2,\n \"display_name\": \"<string>\",\n \"institution_name\": \"<string>\",\n \"currency\": \"<string>\",\n \"account_description\": \"<string>\",\n \"opening_date\": \"2023-11-07T05:31:56Z\"\n }\n }\n ],\n \"predecessor_digest\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"publisher_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"generation": 123,
"stream_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequence": 123,
"payload_digest": "<string>",
"status": "accepted",
"accepted_at": "2023-11-07T05:31:56Z",
"applied_at": "2023-11-07T05:31:56Z",
"error_code": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Revocable credential restricted to one FinanceKit publisher upload URL.
Headers
Pattern:
^[0-9a-f]{64}$Path Parameters
Body
application/json
Immutable ordered publisher batch. sequence 1 omits predecessor_digest; later batches carry the SHA-256 digest of the preceding payload. Omission never deletes data.
Available options:
2 Pattern:
^[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{12}$Pattern:
^[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{12}$Required range:
x >= 1Pattern:
^[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{12}$Pattern:
^[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{12}$Required range:
x >= 1Pattern:
^[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{12}$Required range:
x >= 0Required range:
1 <= x <= 100Available options:
snapshot, delta Required array length:
1 - 20 elementsPattern:
^[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{12}$Maximum array length:
500- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
Show child attributes
Show child attributes
Pattern:
^[0-9a-f]{64}$Response
Immutable bytes accepted into the inbox
Pattern:
^[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{12}$Pattern:
^[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{12}$Pattern:
^[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{12}$Pattern:
^[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{12}$Pattern:
^[0-9a-f]{64}$Available options:
accepted, processing, applied, failed, revoked Was this page helpful?